INPCTL	EQU	$01		; Input port control

INPT0	EQU	$08		; Left  controller left   column
INPT1	EQU	$09		; Left  controller middle column
INPT2	EQU	$0A		; Right controller left   column
INPT3	EQU	$0B		; Right controller middle column
INPT4	EQU	$0C		; Left  controller right  column
INPT5	EQU	$0D		; Right controller right  column

AUDC0	EQU	$15		; Sound type   channel 1
AUDC1	EQU	$16		; Sound type   channel 2
AUDF0	EQU	$17		; Sound pitch  channel 1
AUDF1	EQU	$18		; Sound pitch  channel 2
AUDV0	EQU	$19		; Sound volume channel 1
AUDV1	EQU	$1A		; Sound volume channel 2

BCKGRD	EQU	$20		; Background color
WSYNC	EQU	$24		; Wait for sync
MSTAT	EQU	$28		; Maria status
DPPH	EQU	$2C		; DLL high
DPPL	EQU	$30		; DLL low
CHRBAS	EQU	$34		; Character base address
OFFSET	EQU	$38		; Unused
CTRL	EQU	$3C		; Maria control

P0C1	EQU	$21
P0C2	EQU	$22
P0C3	EQU	$23

P1C1	EQU	$25
P1C2	EQU	$26
P1C3	EQU	$27

P2C1	EQU	$29
P2C2	EQU	$2A
P2C3	EQU	$2B

P3C1	EQU	$2D
P3C2	EQU	$2E
P3C3	EQU	$2F

P4C1	EQU	$31
P4C2	EQU	$32
P4C3	EQU	$33

P5C1	EQU	$35
P5C2	EQU	$36
P5C3	EQU	$37

P6C1	EQU	$39
P6C2	EQU	$3A
P6C3	EQU	$3B

P7C1	EQU	$3D
P7C2	EQU	$3E
P7C3	EQU	$3F

SWCHA	EQU	$0280		; Joysticks/keypads
CTLSWA	EQU	$0281		; Port A data direction register
SWCHB	EQU	$0282		; Console switches
CTLSWB	EQU	$0283		; Port B data direction register
